Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.dposvx

scipy.linalg.lapack.dposvx(a, b[, fact, af, equed, s, lower, overwrite_a, overwrite_b]) = <fortran function dposvx>

  Wrapper for `dposvx`.

  Parameters:
    a input rank-2 array(‘d’) with bounds (n,n)
    b input rank-2 array(‘d’) with bounds (n,nrhs)
  Returns:
    a_s rank-2 array(‘d’) with bounds (n,n) and a storage
    lu rank-2 array(‘d’) with bounds (n,n) and af storage
    equed bytes
    s rank-1 array(‘d’) with bounds (n)
    b_s rank-2 array(‘d’) with bounds (n,nrhs) and b storage
    x rank-2 array(‘d’) with bounds (n,nrhs)
    rcond float
    ferr rank-1 array(‘d’) with bounds (nrhs)
    berr rank-1 array(‘d’) with bounds (nrhs)
    info int
  Other Parameters:
    fact input bytes, optional

      Default: ‘E’

    overwrite_a input int, optional

      Default: 0

    af input rank-2 array(‘d’) with bounds (n,n)
    equed input bytes, optional

      Default: ‘Y’

    s input rank-1 array(‘d’) with bounds (n)
    overwrite_b input int, optional

      Default: 0

    lower input int, optional

      Default: 0